Summary:	A MIDI Network Gateway via UDP/IP Multicast
Name:		qmidinet
Version:	0.4.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Utilities
URL:		http://qmidinet.sourceforge.net/
Source0:	http://sourceforge.net/projects/qmidinet/files/qmidinet/%{version}/%{name}-%{version}.tar.gz
Patch1:		qmidinet-0.3.0-fix-FTBFS.patch
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)

%description
QmidiNet is a MIDI network gateway application that sends and receives
MIDI data (ALSA Sequencer and/or JACK MIDI) over the network, using UDP/IP
multicast. Inspired by multimidicast (http://llg.cubic.org/tools) and
designed to be compatible with ipMIDI for Windows (http://nerds.de).

%prep

%setup -q
%autopatch -p1

%build

%configure2_5x --enable-debug
%make_build

%install

%make_install

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Nov 18 2016 daviddavid <daviddavid> 0.4.2-1.mga6
+ Revision: 1068228
- new version: 0.4.2
- remove merged upstream patch
- use upstream desktop file

* Tue Mar 15 2016 daviddavid <daviddavid> 0.3.0-2.mga6
+ Revision: 990937
- rediff Qt5.5_build patch (since fixed autopatch)

* Sat Feb 13 2016 daviddavid <daviddavid> 0.3.0-1.mga6
+ Revision: 959793
- switch build to Qt5
- add two patches to fix buid:
  * Fix FTBFS with -Werror=format-security
  * Fix build with Qt5.5 or higher
- switch BRs to pkgconfig()
- update files list

  + oden <oden>
    - 0.3.0

* Mon Oct 26 2015 daviddavid <daviddavid> 0.1.2-5.mga6
+ Revision: 895467
- fix empty debugfiles adding --enable-debug configure option

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-4.mga5
+ Revision: 746342
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-3.mga5
+ Revision: 688500
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-2.mga4
+ Revision: 522437
- Mageia 4 Mass Rebuild

* Sat Mar 02 2013 oden <oden> 0.1.2-1.mga3
+ Revision: 400985
- fix group
- imported package qmidinet

